Endpoint Security, CrowdStrike, Legacy macOS Support

Information about CrowdStrike support for older versions of macOS.

Systems

CrowdStrike

Affected Customers

University of Illinois IT Pros leveraging Technology Services CrowdStrike

General Information

In May 2020, CrowdStrike announced that 5.34.11501 is the final build of the Falcon sensor for Mac that will support macOS High Sierra (10.13).

  • After June 30, 2020, CrowdStrike will no longer deliver new features or test new Falcon sensor versions on macOS High Sierra.
  • Sensor versions released after June 30, 2020 will not install on hosts running macOS High Sierra or earlier.
  • From July 1, 2020 through December 31, 2020, support for sensors running on High Sierra will be provided on a best-effort basis.
  • After December 31, 2020, support won't be available for sensors running on High Sierra or earlier.
  • To ensure continued support, update your Mac hosts to the current version of macOS.

Unsupported legacy versions of macOS include:

  • OS X Sierra 10.12 – last supported on Mac sensor 5.12.9203
  • OS X El Capitan 10.11 – last supported on Mac sensor 4.12.7401
  • OS X Yosemite 10.10 – last supported on Mac sensor 3.5.5603

Contact the EPS team




Keywords:crowdstrike, antivirus, mac, eps, techs-eps-crowdstrike, legacy, TechS-EPS-CS   Doc ID:94364
Owner:EPS Distribution List .Group:University of Illinois Technology Services
Created:2019-09-09 12:34 CDTUpdated:2020-07-20 08:52 CDT
Sites:University of Illinois Technology Services
Feedback:  0   0